#!/bin/sh
# This file is part of wizback
#
# Copyright (C) 2007 Nokia Corporation. All rights reserved.
#
# Contact: Gabriel Schulhof <gabriel.schulhof@nokia.com>
#
# This software, including documentation, is protected by copyright controlled by Nokia Corporation. All rights are reserved.
# Copying, including reproducing, storing, adapting or translating, any or all of this material requires the prior written
# consent of Nokia Corporation. This material also contains confidential information which may not be disclosed to others
# without the prior written consent of Nokia.

wizback_AddWizard() # $1 = wizard name (msgid), $2 = translation domain
{
  dbus-send --print-reply --system --dest=org.maemo.WizardBackground / org.maemo.WizardBackground.AddWizard string:"$1" string:"$2" > /dev/null || true
}

wizback_advance() # $1 = number of steps
{
  dbus-send --print-reply --system --dest=org.maemo.WizardBackground / org.maemo.WizardBackground.advance uint32:$1 > /dev/null || true
}

wizback_quit() # no args
{
  dbus-send --print-reply --system --dest=org.maemo.WizardBackground / org.maemo.WizardBackground.quit > /dev/null || true
}

wizback_set_descriptions_visible() # $1 : boolean
{
  dbus-send --print-reply --system --dest=org.maemo.WizardBackground / org.maemo.WizardBackground.set_descriptions_visible boolean:$1 > /dev/null || true
}

wizback_set_progress_visible() # $1 : boolean
{
  dbus-send --print-reply --system --dest=org.maemo.WizardBackground / org.maemo.WizardBackground.set_progress_visible boolean:$1 > /dev/null || true
}

wizback_method() # $1 = method name, $rest = arguments
{
  if [ -x /usr/bin/wizback ]; then
    METHOD_NAME=$1
    shift
    wizback_$METHOD_NAME "$@"
  fi
}
